Index: Language.php
===================================================================
RCS file: /cvsroot/wikipedia/phpwiki/newcodebase/Language.php,v
retrieving revision 1.154
diff -c -r1.154 Language.php
*** Language.php	29 Oct 2002 07:25:41 -0000	1.154
--- Language.php	6 Nov 2002 16:10:20 -0000
***************
*** 293,306 ****
  "whatlinkshere"	=> "Pages that link here",
  "help"			=> "Help",
  "search"		=> "Search",
! "history"		=> "History",
  "printableversion" => "Printable version",
  "editthispage"	=> "Edit this page",
  "deletethispage" => "Delete this page",
  "protectthispage" => "Protect this page",
  "unprotectthispage" => "Unprotect this page",
! "talkpage"		=> "Talk page",
! "subjectpage"	=> "Subject page",
  "otherlanguages" => "Other languages",
  "redirectedfrom" => "(Redirected from $1)",
  "lastmodified"	=> "The page was last modified $1.",
--- 293,306 ----
  "whatlinkshere"	=> "Pages that link here",
  "help"			=> "Help",
  "search"		=> "Search",
! "history"		=> "Older versions",
  "printableversion" => "Printable version",
  "editthispage"	=> "Edit this page",
  "deletethispage" => "Delete this page",
  "protectthispage" => "Protect this page",
  "unprotectthispage" => "Unprotect this page",
! "talkpage"		=> "Discuss this page",
! "subjectpage"	=> "View article",
  "otherlanguages" => "Other languages",
  "redirectedfrom" => "(Redirected from $1)",
  "lastmodified"	=> "The page was last modified $1.",
***************
*** 591,597 ****
  
  # Upload
  #
! "upload"		=> "Upload",
  "uploadbtn"		=> "Upload file",
  "uploadlink"	=> "Upload images",
  "reupload"		=> "Re-upload",
--- 591,597 ----
  
  # Upload
  #
! "upload"		=> "Upload file",
  "uploadbtn"		=> "Upload file",
  "uploadlink"	=> "Upload images",
  "reupload"		=> "Re-upload",
***************
*** 741,747 ****
  "sysopspheading" => "Special pages for sysop use",
  "developerspheading" => "Special pages for developer use",
  "protectpage"	=> "Protect page",
! "recentchangeslinked" => "Watch links",
  "rclsub"		=> "(to pages linked from \"$1\")",
  "debug"			=> "Debug",
  "newpages"		=> "New pages",
--- 741,747 ----
  "sysopspheading" => "Special pages for sysop use",
  "developerspheading" => "Special pages for developer use",
  "protectpage"	=> "Protect page",
! "recentchangeslinked" => "Related changes",
  "rclsub"		=> "(to pages linked from \"$1\")",
  "debug"			=> "Debug",
  "newpages"		=> "New pages",
***************
*** 785,791 ****
  
  # Watchlist
  #
! "watchlist"		=> "Watch list",
  "watchlistsub"	=> "(for user \"$1\")",
  "nowatchlist"	=> "You have no items on your watchlist.",
  "watchnologin"	=> "Not logged in",
--- 785,791 ----
  
  # Watchlist
  #
! "watchlist"		=> "My watchlist",
  "watchlistsub"	=> "(for user \"$1\")",
  "nowatchlist"	=> "You have no items on your watchlist.",
  "watchnologin"	=> "Not logged in",
***************
*** 861,867 ****
  
  # What links here
  #
! "whatlinkshere"	=> "What links here",
  "notargettitle" => "No target",
  "notargettext"	=> "You have not specified a target page or user
  to perform this function on.",
--- 861,867 ----
  
  # What links here
  #
! "whatlinkshere"	=> "What links here?",
  "notargettitle" => "No target",
  "notargettext"	=> "You have not specified a target page or user
  to perform this function on.",
Index: Skin.php
===================================================================
RCS file: /cvsroot/wikipedia/phpwiki/newcodebase/Skin.php,v
retrieving revision 1.119
diff -c -r1.119 Skin.php
*** Skin.php	29 Oct 2002 11:08:20 -0000	1.119
--- Skin.php	6 Nov 2002 16:10:20 -0000
***************
*** 457,472 ****
  		$sep = "\n<br>";
  		$s .= $this->mainPageLink()
  		  . $sep . $this->specialLink( "recentchanges" )
! 		  . $sep . $this->specialLink( "randompage" ) 
! 		  . $sep . $this->specialLink( "watchlist" ) ;
                  if ( wfMsg ( "currentevents" ) != "-" ) $s .= $sep . $this->makeKnownLink( wfMsg( "currentevents" ), "" ) ;
                  $s .= "\n<hr>";
  
  		if ( $wgOut->isArticle() ) {
  			$s .= "<strong>" . $this->editThisPage() . "</strong>";
  			if ( 0 != $wgUser->getID() ) {
! 				$s .= $sep . $this->watchThisPage()
! 				. $sep . $this->moveThisPage();
  			}
  			if ( $wgUser->isSysop() ) {
  				$s .= $sep . $this->deleteThisPage() .
--- 457,472 ----
  		$sep = "\n<br>";
  		$s .= $this->mainPageLink()
  		  . $sep . $this->specialLink( "recentchanges" )
! 		  . $sep . $this->specialLink( "randompage" );
! 		if ($wgUser->getID()) $s.= $sep . $this->specialLink( "watchlist" ) ; // only show watchlist link if logged in
                  if ( wfMsg ( "currentevents" ) != "-" ) $s .= $sep . $this->makeKnownLink( wfMsg( "currentevents" ), "" ) ;
                  $s .= "\n<hr>";
  
  		if ( $wgOut->isArticle() ) {
  			$s .= "<strong>" . $this->editThisPage() . "</strong>";
  			if ( 0 != $wgUser->getID() ) {
! 				$s .= $sep . $this->watchThisPage();
! 				if ( $wgTitle->userCanEdit() ) $s .= $sep . $this->moveThisPage();
  			}
  			if ( $wgUser->isSysop() ) {
  				$s .= $sep . $this->deleteThisPage() .
***************
*** 488,495 ****
  		if ( 0 != $wgUser->getID() ) {
  			$s .= $this->specialLink( "upload" ) . $sep;
  		}
! 		$s .= $this->bugReportsLink()
! 		  . $sep . $this->specialLink( "specialpages" );
  
  		$s .= "\n</div>\n";
  		return $s;
--- 488,495 ----
  		if ( 0 != $wgUser->getID() ) {
  			$s .= $this->specialLink( "upload" ) . $sep;
  		}
! 		$s .= $this->specialLink( "specialpages" )
! 		  . $sep . $this->bugReportsLink();
  
  		$s .= "\n</div>\n";
  		return $s;
***************
*** 650,658 ****
  		if ( $wgTitle->userCanEdit() ) {
  			$s = $this->makeKnownLink( $wgLang->specialPage( "Movepage" ),
  			  wfMsg( "movethispage" ), "target=" . $wgTitle->getPrefixedURL() );
! 		} else {
! 			$s = wfMsg( "protectedpage" );
! 		}
  		return $s;
  	}
  
--- 650,656 ----
  		if ( $wgTitle->userCanEdit() ) {
  			$s = $this->makeKnownLink( $wgLang->specialPage( "Movepage" ),
  			  wfMsg( "movethispage" ), "target=" . $wgTitle->getPrefixedURL() );
! 		} // no message if page is protected - would be redundant
  		return $s;
  	}
  
